%define name		trickle
%define version		1.06
%define release		%mkrel 5

Summary: 	Portable lightweight userspace bandwidth shaper
Summary(cs): 	Odlehčený uživatelský omezovač síťového provozu
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Networking/Other
License: 	GPL
Url: 		http://monkey.org/~marius/pages/?page=trickle
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	http://monkey.org/~marius/trickle/%{name}-%{version}.tar.gz
Source1:	%{name}-i18n-%{version}.tar.gz
Patch0:		trickle-%{version}_unneeded_netinet_in_h.patch
Patch1:		trickle-%{version}_i18n.patch
BuildArch:	i586
BuildRequires:	libevent1-devel
BuildRequires:	gettext
Requires:	libevent1

%description
Trickle is a portable lightweight userspace bandwidth shaper.
It can run in collaborative mode (together with trickled) or in stand alone mode.
Trickle works by taking advantage of the unix loader preloading. Essentially it provides,
to the application, a new version of the functionality that is required to send and receive
data through sockets.
It then limits traffic based on delaying the sending and receiving of data over a socket.
Trickle runs entirely in userspace and does not require root privileges.

%description -l cs
Trickle je odlehčený uživatelský omezovač síťového provozu, který může být provozován buď
v režimu spolupráce s démonem trickled nebo zcela samostatně.
Trickle využívá přednačítání unixového zavaděče knihoven. V podstatě poskytuje aplikaci
novou verzi funkcionality, která je potřeba k posílání a přijímání dat skrz sokety.
Poté omezuje síťový provoz pomocí pozdržování odchozích a příchozích paketů posílaných
přes soket. Trickle beží v uživatelském prostoru a nepotřebuje k běhu práva roota.

%prep
%setup -q
%setup -a 1

%patch0 -p1
%patch1 -p1

%build
%configure
%make
%make -C %{name}-i18n-%{version}

%install
%makeinstall
%makeinstall -C %{name}-i18n-%{version}
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/trickled
%{_bindir}/tricklectl
%{_bindir}/trickle
%defattr(0644,root,root,0755)
%{_libdir}/trickle/trickle-overload.so
%doc %{_datadir}/man/man8/trickled.8.bz2
%doc %{_datadir}/man/man5/trickled.conf.5.bz2
%doc %{_datadir}/man/man1/trickle.1.bz2

%clean
%__rm -rf %{buildroot}


%changelog
* Wed Jun 25 2008 David Smid <david@smidovi.eu> 1.06-5pclos2007
- correct the Group name to Networking/Other

* Tue Mar 26 2008 David Smid <david@smidovi.eu> 1.06-4pclos2007
- tidy up the Makefiles

* Tue Mar 26 2008 David Smid <david@smidovi.eu> 1.06-3pclos2007
- prefer macros while building and installing

* Tue Mar 26 2008 David Smid <david@smidovi.eu> 1.06-2pclos2007
- i18n

* Tue Mar 25 2008 David Smid <david@smidovi.eu> 1.06-1pclos2007
- Initial build
